Bug 838274 - SELinux is preventing /usr/bin/lsscsi from 'getattr' accesses on the chr_file /dev/lp3.
SELinux is preventing /usr/bin/lsscsi from 'getattr' accesses on the chr_file...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:228ca651c310a45b27b0e424a90...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 03:22 EDT by roddy
Modified: 2012-07-21 18:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-21 18:52:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roddy 2012-07-08 03:22:27 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           dim. 08 juil. 2012 11:22:00 RET

description:
:SELinux is preventing /usr/bin/lsscsi from 'getattr' accesses on the chr_file /dev/lp3.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that lsscsi should be allowed getattr access on the lp3 chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep lsscsi /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:xend_t:s0
:Target Context                system_u:object_r:printer_device_t:s0
:Target Objects                /dev/lp3 [ chr_file ]
:Source                        lsscsi
:Source Path                   /usr/bin/lsscsi
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           lsscsi-0.26-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-5.fc17.x86_64 #1
:                              SMP Thu Jul 5 20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    dim. 08 juil. 2012 11:13:10 RET
:Last Seen                     dim. 08 juil. 2012 11:13:10 RET
:Local ID                      e38d711d-b4f7-49bb-ae66-487939ded4a6
:
:Raw Audit Messages
:type=AVC msg=audit(1341731590.234:37): avc:  denied  { getattr } for  pid=833 comm="lsscsi" path="/dev/lp3" dev="devtmpfs" ino=12829 scontext=system_u:system_r:xend_t:s0 tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1341731590.234:37): arch=x86_64 syscall=lstat success=yes exit=0 a0=7fff7c5d7ae0 a1=7fff7c5d7a50 a2=7fff7c5d7a50 a3=40904b items=0 ppid=832 pid=833 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=lsscsi exe=/usr/bin/lsscsi subj=system_u:system_r:xend_t:s0 key=(null)
:
:Hash: lsscsi,xend_t,printer_device_t,chr_file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-09 04:58:42 EDT
Fixed in selinux-policy-3.10.0-138.fc17
Comment 2 Fedora Update System 2012-07-18 09:04:50 EDT
selinux-policy-3.10.0-140.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-140.fc17
Comment 3 Fedora Update System 2012-07-19 05:11:43 EDT
Package selinux-policy-3.10.0-140.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-140.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10840/selinux-policy-3.10.0-140.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-21 18:52:00 EDT
selinux-policy-3.10.0-140.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.